import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;
import java.sql.Statement;

public class Batchcommit {
	
	public static void main(String[] args) {
		try{
			  Connection connection = null;
		      Class.forName("com.mysql.jdbc.Driver");
		
		      connection = DriverManager.getConnection("jdbc:mysql://localhost:3306/roseindia_jdbc_tutorial","root","root");
		      try{		    	  
		    	  	// Create statement object  
		    	  	Statement stmt = connection.createStatement();		        
		    	     
		    	  	// Set auto-commit to false
			        connection.setAutoCommit(false);
			        
			         // insert query 
			        String insertquery1 = "INSERT INTO user (user_id, user_name) VALUES(3,'Ankit')";			        
				     
			        stmt.addBatch(insertquery1);
	
			        stmt.executeBatch();
			        
			        // connection commited
			        connection.commit();
			        
			        System.out.println("Batch commit example." );
		      }
		      catch (SQLException s){
		        System.out.println("SQL Exception " + s);
		      }
		    }
		    catch (Exception e){
		      e.printStackTrace();
		    }
	}

}
